import * as THREE from 'three';

export function createLighting(scene: THREE.Scene): void {
  const positions = [
    new THREE.Vector3(10, 10, 0),
    new THREE.Vector3(-10, -10, 0),
    new THREE.Vector3(0, 10, 10),
    new THREE.Vector3(0, -10, -10),
  ];
  for (const pos of positions) {
    const light = new THREE.DirectionalLight(0xffffff, 0.25);
    light.position.copy(pos);
    scene.add(light);
  }
}
